#!/usr/bin/env python
# -*- mode: python; coding: koi8-r -*-

import re

filters = {
    'internal_filter_1': 'Internal filter 1 (new line repairs)',
    'internal_filter_2': 'Internal filter 2 (remove leading spaces)'}


def internal_filter_1(data, charset):
    out=''
    begin=0

    pat = re.compile('^\-+\s*(\w)', re.U)
    for l in data.split('\n'):
        s=unicode(l.rstrip(), charset) # rstrip ?

        if s == '':
            out += '\n'
            begin=1
            continue

        c=s[-1]

        if c == '-' and s[-2].isalpha():
            #s=unicode(s, charset)[:-1].encode(charset)
            s=s[:-1]
            end_space=''
        else:
            end_space=' '

        mo = pat.search(s)
        if s[0].isspace() \
           or (begin and s[0].isupper()) \
           or (mo and mo.group(1).isupper()):
            out += '\n\t%s%s' % (s.lstrip().encode(charset), end_space)
        else:
            out += '%s%s' % (s.encode(charset), end_space)

        begin=0
        if c in ('.', '!', '?', '\'', '\"', ':'):
            begin=1

    out += '\n'

    return out


def internal_filter_2(data, charset):
    out = ''
    for l in data.split('\n'):
        out += l.lstrip()+'\n'

    return out


#def external_filter(filename, program):
#    pass

if __name__ == '__main__':
    import sys, locale
    locale.setlocale(locale.LC_ALL, 'ru_RU.KOI8-R')
    if len(sys.argv) != 2:
        print 'usage:', sys.argv[0], 'file'
        sys.exit(1)
    print internal_filter_1(open(sys.argv[1]).read(), 'koi8-r')

