#!/usr/bin/env python
# -*- mode: python; coding: koi8-r -*-


import sys
from distutils.core import setup, Extension
from distutils.command.install_data import install_data


class my_install_data(install_data):
    # for install pybookreader.glade to library dir
    # (ɣ   wxPython)
    def run(self):
        #need to change self.install_dir to the actual library dir
        install_cmd = self.get_finalized_command('install')
        self.install_dir = getattr(install_cmd, 'install_lib')
        return install_data.run(self)


setup(
    name = 'PyBookReader',
    version = '0.4.5',
    url = 'http://pybookreader.narod.ru',
    author = 'Con Radchenko',
    author_email = 'pybookreader@narod.ru',
    description = 'PyBookReader is a PyGTK-based GUI book reader.',
    license = 'GPL',
    scripts = ['pybr'],
    packages = ['pybookreader'],
    cmdclass = {'install_data': my_install_data},
    data_files = [('pybookreader', ['pybookreader/pybookreader.glade'])],
    )

